맛집 여행 캠핑 일상 생활

[시놀로지] 아파치 ExpiresActive 에러 본문

IT이야기

[시놀로지] 아파치 ExpiresActive 에러

♥ 영은파더♥ 2020. 6. 5. 17:21

시놀로지 아파치에서 ExpiresActive 기능이 디폴트가 아니군요~

/var/log/httpd/apache24-error_log 파일에 보면 ".htaccess: Invalid command 'ExpiresActive', perhaps misspelled or defined by a module not included in the server configuration" 이렇게 에러 로그가 남습니다.

    ExpiresActive on
    ExpiresByType text/css                      "access plus 1 month"

위와 같은 기능을 사용하려면 /usr/local/etc/apache24/conf/httpd24.conf 파일에 아래의 부분을 추가하여 저장합니다.

    LoadModule expires_module modules/mod_expires.so

모듈은 있지만 로드를 하지 않아서 발생하는 오류입니다.

아파치를 재시작합니다.

 

 

 

Trackback : 0 | Comments : 0
댓글쓰기 폼